<?php
    if($_REQUEST['ajax']) {
        switch($_REQUEST['code']) {
            case "transno":
              if(RetRstField("SELECT fnid FROM tlsize WHERE ftsize_code='{$_REQUEST['fttrans_no']}'")) {
                  ?>
                  
                  alert('Kode Size sudah dipakai... ');
            <?php
              }
              else {
                    ?>
                   
                    
                  submitbutton('Simpan','','','','');
                   
            <?php
              }
            break;
        }       
        die("");
    }
    Getsecurity(15);
    $objAxpDB->ViewName("Daftar Size");
    $objAxpDB->ViewTable("vISize");
    $objAxpDB->ViewSQL("SELECT fnid, ftsize_code, ftsize_name FROM tlsize ORDER BY ftsize_code, ftsize_name");
    $objAxpDB->ViewCaption("ID, Kode Size, Nama Size");

    $objAxpDB->FormName("Size");     
    $objAxpDB->FormSQL("SELECT ftsize_code, ftsize_name FROM tlsize");
    $objAxpDB->FormCaption("Kode Size, Nama Size  ");
    $objAxpDB->SetStatus("id");    
    $objAxpDB->FormPosition("TL, TL"); 
    if ($objAxpDB->GetStatus("id") == "") {
            $objAxpDB->ButtonShow("baru, cetak_daftar, export_excel , tutup");

    }
    elseif ($objAxpDB->GetStatus("id") == 0) {
            $objAxpDB->ButtonShow("reset, simpan, tutup");

    }
    elseif ($objAxpDB->GetStatus("id") != 0) {
            $objAxpDB->ButtonShow("update, hapus, tutup"); 
            $objAxpDB->FormLocked("1");
    }
    $objAxpDB->Process();
    $objAxpDB->WriteHtmlTable();
			
?>
